Vector BLF: Vector::BLF::ObjectHeaderBase Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::ObjectHeaderBase Struct Reference

Base object header type definition. More...

`#include <ObjectHeaderBase.h>`

Inheritance diagram for Vector::BLF::ObjectHeaderBase:

## Public Member Functions
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

Base object header type definition.

Object header base structure.

## Member Function Documentation

## ◆ calculateHeaderSize()

uint16_t Vector::BLF::ObjectHeaderBase::calculateHeaderSize | ( |  | ) | const
| virtual

Calculates the headerSize

Returns
  header size

Reimplemented in Vector::BLF::ObjectHeader, Vector::BLF::ObjectHeader2, and Vector::BLF::VarObjectHeader.

## ◆ calculateObjectSize()

uint32_t Vector::BLF::ObjectHeaderBase::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

Reimplemented in Vector::BLF::A429BusStatistic, Vector::BLF::A429Error, Vector::BLF::A429Message, Vector::BLF::A429Status, Vector::BLF::AfdxBusStatistic, Vector::BLF::AfdxErrorEvent, Vector::BLF::AfdxFrame, Vector::BLF::AfdxStatistic, Vector::BLF::AfdxStatus, Vector::BLF::AppText, Vector::BLF::AppTrigger, Vector::BLF::AttributeEvent, Vector::BLF::CanDriverError, Vector::BLF::CanDriverErrorExt, Vector::BLF::CanDriverHwSync, Vector::BLF::CanDriverStatistic, Vector::BLF::CanErrorFrame, Vector::BLF::CanErrorFrameExt, Vector::BLF::CanFdErrorFrame64, Vector::BLF::CanFdMessage, Vector::BLF::CanFdMessage64, Vector::BLF::CanMessage, Vector::BLF::CanMessage2, Vector::BLF::CanOverloadFrame, Vector::BLF::CanSettingChanged, Vector::BLF::DataLostBegin, Vector::BLF::DataLostEnd, Vector::BLF::DiagRequestInterpretation, Vector::BLF::DistributedObjectMember, Vector::BLF::DriverOverrun, Vector::BLF::EnvironmentVariable, Vector::BLF::EthernetErrorEx, Vector::BLF::EthernetErrorForwarded, Vector::BLF::EthernetFrame, Vector::BLF::EthernetFrameEx, Vector::BLF::EthernetFrameForwarded, Vector::BLF::EthernetRxError, Vector::BLF::EthernetStatistic, Vector::BLF::EthernetStatus, Vector::BLF::EventComment, Vector::BLF::FlexRayData, Vector::BLF::FlexRayStatusEvent, Vector::BLF::FlexRaySync, Vector::BLF::FlexRayV6Message, Vector::BLF::FlexRayV6StartCycleEvent, Vector::BLF::FlexRayVFrError, Vector::BLF::FlexRayVFrReceiveMsg, Vector::BLF::FlexRayVFrReceiveMsgEx, Vector::BLF::FlexRayVFrStartCycle, Vector::BLF::FlexRayVFrStatus, Vector::BLF::FunctionBus, Vector::BLF::GlobalMarker, Vector::BLF::GpsEvent, Vector::BLF::J1708Message, Vector::BLF::KLineStatusEvent, Vector::BLF::LinBaudrateEvent, Vector::BLF::LinChecksumInfo, Vector::BLF::LinCrcError, Vector::BLF::LinCrcError2, Vector::BLF::LinDisturbanceEvent, Vector::BLF::LinDlcInfo, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinMessage, Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError, Vector::BLF::LinReceiveError2, Vector::BLF::LinSchedulerModeChange, Vector::BLF::LinSendError, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinSlaveTimeout, Vector::BLF::LinSleepModeEvent, Vector::BLF::LinSpikeEvent, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinStatisticEvent, Vector::BLF::LinSyncError, Vector::BLF::LinSyncError2, Vector::BLF::LinUnexpectedWakeup, Vector::BLF::LinWakeupEvent, Vector::BLF::LinWakeupEvent2, Vector::BLF::LogContainer, Vector::BLF::Most150AllocTab, Vector::BLF::Most150Message, Vector::BLF::Most150MessageFragment, Vector::BLF::Most150Pkt, Vector::BLF::Most150PktFragment, Vector::BLF::Most50Message, Vector::BLF::Most50Pkt, Vector::BLF::MostAllocTab, Vector::BLF::MostCtrl, Vector::BLF::MostDataLost, Vector::BLF::MostEcl, Vector::BLF::MostEthernetPkt, Vector::BLF::MostEthernetPktFragment, Vector::BLF::MostGenReg, Vector::BLF::MostHwMode, Vector::BLF::MostLightLock, Vector::BLF::MostNetState, Vector::BLF::MostPkt, Vector::BLF::MostPkt2, Vector::BLF::MostReg, Vector::BLF::MostSpy, Vector::BLF::MostStatistic, Vector::BLF::MostStatisticEx, Vector::BLF::MostStress, Vector::BLF::MostSystemEvent, Vector::BLF::MostTrigger, Vector::BLF::MostTxLight, Vector::BLF::ObjectHeader, Vector::BLF::ObjectHeader2, Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::VarObjectHeader, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

## ◆ read()

void Vector::BLF::ObjectHeaderBase::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented in Vector::BLF::A429BusStatistic, Vector::BLF::A429Error, Vector::BLF::A429Message, Vector::BLF::A429Status, Vector::BLF::AfdxBusStatistic, Vector::BLF::AfdxErrorEvent, Vector::BLF::AfdxFrame, Vector::BLF::AfdxStatistic, Vector::BLF::AfdxStatus, Vector::BLF::AppText, Vector::BLF::AppTrigger, Vector::BLF::AttributeEvent, Vector::BLF::CanDriverError, Vector::BLF::CanDriverErrorExt, Vector::BLF::CanDriverHwSync, Vector::BLF::CanDriverStatistic, Vector::BLF::CanErrorFrame, Vector::BLF::CanErrorFrameExt, Vector::BLF::CanFdErrorFrame64, Vector::BLF::CanFdMessage, Vector::BLF::CanFdMessage64, Vector::BLF::CanMessage, Vector::BLF::CanMessage2, Vector::BLF::CanOverloadFrame, Vector::BLF::CanSettingChanged, Vector::BLF::DataLostBegin, Vector::BLF::DataLostEnd, Vector::BLF::DiagRequestInterpretation, Vector::BLF::DistributedObjectMember, Vector::BLF::DriverOverrun, Vector::BLF::EnvironmentVariable, Vector::BLF::EthernetErrorEx, Vector::BLF::EthernetErrorForwarded, Vector::BLF::EthernetFrame, Vector::BLF::EthernetFrameEx, Vector::BLF::EthernetFrameForwarded, Vector::BLF::EthernetRxError, Vector::BLF::EthernetStatistic, Vector::BLF::EthernetStatus, Vector::BLF::EventComment, Vector::BLF::FlexRayData, Vector::BLF::FlexRayStatusEvent, Vector::BLF::FlexRaySync, Vector::BLF::FlexRayV6Message, Vector::BLF::FlexRayV6StartCycleEvent, Vector::BLF::FlexRayVFrError, Vector::BLF::FlexRayVFrReceiveMsg, Vector::BLF::FlexRayVFrReceiveMsgEx, Vector::BLF::FlexRayVFrStartCycle, Vector::BLF::FlexRayVFrStatus, Vector::BLF::FunctionBus, Vector::BLF::GlobalMarker, Vector::BLF::GpsEvent, Vector::BLF::J1708Message, Vector::BLF::KLineStatusEvent, Vector::BLF::LinBaudrateEvent, Vector::BLF::LinChecksumInfo, Vector::BLF::LinCrcError, Vector::BLF::LinCrcError2, Vector::BLF::LinDisturbanceEvent, Vector::BLF::LinDlcInfo, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinMessage, Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError, Vector::BLF::LinReceiveError2, Vector::BLF::LinSchedulerModeChange, Vector::BLF::LinSendError, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinSlaveTimeout, Vector::BLF::LinSleepModeEvent, Vector::BLF::LinSpikeEvent, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinStatisticEvent, Vector::BLF::LinSyncError, Vector::BLF::LinSyncError2, Vector::BLF::LinUnexpectedWakeup, Vector::BLF::LinWakeupEvent, Vector::BLF::LinWakeupEvent2, Vector::BLF::LogContainer, Vector::BLF::Most150AllocTab, Vector::BLF::Most150Message, Vector::BLF::Most150MessageFragment, Vector::BLF::Most150Pkt, Vector::BLF::Most150PktFragment, Vector::BLF::Most50Message, Vector::BLF::Most50Pkt, Vector::BLF::MostAllocTab, Vector::BLF::MostCtrl, Vector::BLF::MostDataLost, Vector::BLF::MostEcl, Vector::BLF::MostEthernetPkt, Vector::BLF::MostEthernetPktFragment, Vector::BLF::MostGenReg, Vector::BLF::MostHwMode, Vector::BLF::MostLightLock, Vector::BLF::MostNetState, Vector::BLF::MostPkt, Vector::BLF::MostPkt2, Vector::BLF::MostReg, Vector::BLF::MostSpy, Vector::BLF::MostStatistic, Vector::BLF::MostStatisticEx, Vector::BLF::MostStress, Vector::BLF::MostSystemEvent, Vector::BLF::MostTrigger, Vector::BLF::MostTxLight, Vector::BLF::ObjectHeader, Vector::BLF::ObjectHeader2, Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::VarObjectHeader, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

## ◆ write()

void Vector::BLF::ObjectHeaderBase::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented in Vector::BLF::A429BusStatistic, Vector::BLF::A429Error, Vector::BLF::A429Message, Vector::BLF::A429Status, Vector::BLF::AfdxBusStatistic, Vector::BLF::AfdxErrorEvent, Vector::BLF::AfdxFrame, Vector::BLF::AfdxStatistic, Vector::BLF::AfdxStatus, Vector::BLF::AppText, Vector::BLF::AppTrigger, Vector::BLF::AttributeEvent, Vector::BLF::CanDriverError, Vector::BLF::CanDriverErrorExt, Vector::BLF::CanDriverHwSync, Vector::BLF::CanDriverStatistic, Vector::BLF::CanErrorFrame, Vector::BLF::CanErrorFrameExt, Vector::BLF::CanFdErrorFrame64, Vector::BLF::CanFdMessage, Vector::BLF::CanFdMessage64, Vector::BLF::CanMessage, Vector::BLF::CanMessage2, Vector::BLF::CanOverloadFrame, Vector::BLF::CanSettingChanged, Vector::BLF::DataLostBegin, Vector::BLF::DataLostEnd, Vector::BLF::DiagRequestInterpretation, Vector::BLF::DistributedObjectMember, Vector::BLF::DriverOverrun, Vector::BLF::EnvironmentVariable, Vector::BLF::EthernetErrorEx, Vector::BLF::EthernetErrorForwarded, Vector::BLF::EthernetFrame, Vector::BLF::EthernetFrameEx, Vector::BLF::EthernetFrameForwarded, Vector::BLF::EthernetRxError, Vector::BLF::EthernetStatistic, Vector::BLF::EthernetStatus, Vector::BLF::EventComment, Vector::BLF::FlexRayData, Vector::BLF::FlexRayStatusEvent, Vector::BLF::FlexRaySync, Vector::BLF::FlexRayV6Message, Vector::BLF::FlexRayV6StartCycleEvent, Vector::BLF::FlexRayVFrError, Vector::BLF::FlexRayVFrReceiveMsg, Vector::BLF::FlexRayVFrReceiveMsgEx, Vector::BLF::FlexRayVFrStartCycle, Vector::BLF::FlexRayVFrStatus, Vector::BLF::FunctionBus, Vector::BLF::GlobalMarker, Vector::BLF::GpsEvent, Vector::BLF::J1708Message, Vector::BLF::KLineStatusEvent, Vector::BLF::LinBaudrateEvent, Vector::BLF::LinChecksumInfo, Vector::BLF::LinCrcError, Vector::BLF::LinCrcError2, Vector::BLF::LinDisturbanceEvent, Vector::BLF::LinDlcInfo, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinMessage, Vector::BLF::LinMessage2, Vector::BLF::LinReceiveError, Vector::BLF::LinReceiveError2, Vector::BLF::LinSchedulerModeChange, Vector::BLF::LinSendError, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinSlaveTimeout, Vector::BLF::LinSleepModeEvent, Vector::BLF::LinSpikeEvent, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinStatisticEvent, Vector::BLF::LinSyncError, Vector::BLF::LinSyncError2, Vector::BLF::LinUnexpectedWakeup, Vector::BLF::LinWakeupEvent, Vector::BLF::LinWakeupEvent2, Vector::BLF::LogContainer, Vector::BLF::Most150AllocTab, Vector::BLF::Most150Message, Vector::BLF::Most150MessageFragment, Vector::BLF::Most150Pkt, Vector::BLF::Most150PktFragment, Vector::BLF::Most50Message, Vector::BLF::Most50Pkt, Vector::BLF::MostAllocTab, Vector::BLF::MostCtrl, Vector::BLF::MostDataLost, Vector::BLF::MostEcl, Vector::BLF::MostEthernetPkt, Vector::BLF::MostEthernetPktFragment, Vector::BLF::MostGenReg, Vector::BLF::MostHwMode, Vector::BLF::MostLightLock, Vector::BLF::MostNetState, Vector::BLF::MostPkt, Vector::BLF::MostPkt2, Vector::BLF::MostReg, Vector::BLF::MostSpy, Vector::BLF::MostStatistic, Vector::BLF::MostStatisticEx, Vector::BLF::MostStress, Vector::BLF::MostSystemEvent, Vector::BLF::MostTrigger, Vector::BLF::MostTxLight, Vector::BLF::ObjectHeader, Vector::BLF::ObjectHeader2, Vector::BLF::RealtimeClock, Vector::BLF::RestorePointContainer, Vector::BLF::SerialEvent, Vector::BLF::SystemVariable, Vector::BLF::TestStructure, Vector::BLF::TriggerCondition, Vector::BLF::VarObjectHeader, Vector::BLF::WaterMarkEvent, Vector::BLF::WlanFrame, and Vector::BLF::WlanStatistic.

## Member Data Documentation

## ◆ headerSize

uint16_t Vector::BLF::ObjectHeaderBase::headerSize {}

sizeof object header

Size of header in bytes, set this member to sizeof(ObjectHeader) or sizeof(ObjectHeader2) depending on the object header type used for the object.

## ◆ headerVersion

uint16_t Vector::BLF::ObjectHeaderBase::headerVersion {}

header version (1)

Version number of object header.

Set this member to 1 if the object has a member of type ObjectHeader.

Set this member to 2 if the object has a member of type ObjectHeader2.

Note
  is set in ObjectHeader/ObjectHeader2

## ◆ objectSize

uint32_t Vector::BLF::ObjectHeaderBase::objectSize {}

object size

Object size in bytes.

## ◆ objectType

ObjectType Vector::BLF::ObjectHeaderBase::objectType {ObjectType::UNKNOWN}

object type

Object type.

Note
  is set in each event class constructor

## ◆ signature

uint32_t Vector::BLF::ObjectHeaderBase::signature {ObjectSignature}

signature (ObjectSignature)

Object signature, must be ObjectSignature.

The documentation for this struct was generated from the following files:

- ObjectHeaderBase.h
- ObjectHeaderBase.cpp